## org.apache.poi.hdf.model.hdftypes
Class StyleDescription

    java.lang.Object
      org.apache.poi.hdf.model.hdftypes.StyleDescription

All Implemented Interfaces:
  HDFType

public class StyleDescription
extends java.lang.Object
implements HDFType

Comment me

Author:
  Ryan Ackley

Constructor Summary
`StyleDescription()`
`StyleDescription(byte[] std, int baseLength, boolean word9)`

Method Summary
`int` `getBaseStyle()`
`CharacterProperties` `getCHP()`
`byte[]` `getCHPX()`
`ParagraphProperties` `getPAP()`
`byte[]` `getPAPX()`
`void` `setCHP(CharacterProperties chp)`
`void` `setPAP(ParagraphProperties pap)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleDescription

    public StyleDescription()

### StyleDescription

    public StyleDescription(byte[] std,
                            int baseLength,
                            boolean word9)

Method Detail

### getBaseStyle

    public int getBaseStyle()

### getCHPX

    public byte[] getCHPX()

### getPAPX

    public byte[] getPAPX()

### getPAP

    public ParagraphProperties getPAP()

### getCHP

    public CharacterProperties getCHP()

### setPAP

    public void setPAP(ParagraphProperties pap)

### setCHP

    public void setCHP(CharacterProperties chp)

Copyright © 2003 Apache Software Foundation.